{/*
// Copyright (c) 2019 The University of Aizu
// Open source under the BSD License.
*/}

// React Library
import { useState, useEffect } from 'react';
import { connect } from 'react-redux';
import { string } from 'prop-types';
import axios from 'axios';
import { gql }  from 'apollo-boost';

// Modules
import { setToken } from '../modules/token';

// Components
import Holder from '../components/Holder';

const Overlay = ({ token_data }) => {
  return (
    <div className="l-overlay">
      <style jsx>{`
      .l-overlay {
        display: ${ token_data ? 'none' : 'flex' };
      }
      `}</style>
      <Holder label="User authentication" />
    </div>
  );
};

const mapStateToProps = state => ({
  token_data: state.tokenReducer.token_data,
});

Overlay.propTypes = {
  token_data: string,
};

export default connect(mapStateToProps)(Overlay);
