{/*
// Copyright (c) 2019 The University of Aizu
// Open source under the BSD License.
*/}

import { connect } from 'react-redux';
import { string } from 'prop-types';

import Corps from './Corps';
import resolve from '../helpers/resolve';

const Panel = ({ data, path_data }) => {

  let images = data.image_paths;
  console.log(images);
  if (images) {
    var reg = new RegExp("[Ａ-Ｚａ-ｚ０-９－！”＃＄％＆’（）＝＜＞，．？＿［］｛｝＠＾～￥]","g");
    var replacement = function (s) {
      return String.fromCharCode(s.charCodeAt(0) - 65248);
    };
    console.log('a');
    images = images.replace(reg, replacement).replace(/\s/g,'').replace(/\"/g, '').replace(/workspace/g, 'static/tanpopo').split(',').shift();
  } else {
    console.log('b');
    images = 'static/no_img.png';
  }

  return (
    <div className="u-panel">
      <style jsx>{`
        .panel-thumb {
          background-image: url(${images});
        }
      `}</style>
      <div className="panel-row">
        <div className="panel-thumb"></div>
        <h2 className="panel-label">{ data.impact_id }</h2>
        <div className="panel-horizontal">
          <div className="panel-mask">
            <div className="panel-col">
              <Corps data={ data }/>
            </div>
          </div>
        </div>
        <button type="button" className="panel-button btn-icon"><i className="icon-angle-right" aria-hidden="true"></i></button>
      </div>
    </div>
  );
};

const mapStateToProps = state => ({
  path_data: state.pathReducer.path_data,
});

Panel.propTypes = {
  path_data: string,
};

export default connect(mapStateToProps)(Panel);
