//
// Copyright (c) 2019 The University of Aizu
// Open source under the BSD License.
//

import ApolloClient, { InMemoryCache } from 'apollo-boost';

const client = token => (
  new ApolloClient({
    uri: process.env.REACT_APP_GRAPHQL_URL,
    cache: new InMemoryCache(),
    request: operation => {
      operation.setContext({
        headers: {
          authorization: `Bearer ${token}`
        }
      });
    }
  })
);

export default client;
