//
// Copyright (c) 2019 The University of Aizu
// Open source under the BSD License.
//

import withApollo from 'next-with-apollo';
import ApolloClient, { InMemoryCache } from 'apollo-boost';

export default withApollo(({ ctx, headers, initialState }) => {
  return (
    new ApolloClient({
      uri: process.env.REACT_APP_GRAPHQL_URL,
      cache: new InMemoryCache().restore(initialState || {}),
      request: operation => {
        const token = operation.getContext('token_data');
        operation.setContext({
          headers: {
            authorization: `Bearer ${ token.token_data }`
          }
        });
      }
    })
  );
});
