//
// Copyright (c) 2019 The University of Aizu
// Open source under the BSD License.
//

const SET_PATH = 'SET_PATH';

const initialState = {
  path_data: '',
};

/**
 * @name reducer
 */
export default function reducer (state = initialState, action = {}) {
  switch (action.type) {
    case SET_PATH:
      return Object.assign({}, state, {
        ...state,
        path_data: action.path_data,
      });
    default:
      return state;
  }
}

/**
 * @name setPath
 */
export const setPath = path_data => ({
  type: SET_PATH,
  path_data,
});
