//
// Copyright (c) 2019 The University of Aizu
// Open source under the BSD License.
//

import {
  createStore,
  applyMiddleware,
  combineReducers } from 'redux';
import logger from 'redux-logger';
import thunk from 'redux-thunk';
import { composeWithDevTools } from 'redux-devtools-extension';
import tokenReducer from './token';
import pathReducer from './path';

/**
 * @name reducers
 * @description
 * # reducer
 *
 * reducers combine.
 */
const reducers = combineReducers({
  tokenReducer,
  pathReducer,
});

/**
 * @name store
 * @description
 * # store
 *
 * store creator.
 */
const store = createStore(reducers, composeWithDevTools(applyMiddleware(thunk, logger)));
export default store;
