//
// Copyright (c) 2019 The University of Aizu
// Open source under the BSD License.
//

const SET_TOKEN = 'SET_TOKEN';

const initialState = {
  token_data: '',
};

/**
 * @name reducer
 */
export default function reducer (state = initialState, action = {}) {
  switch (action.type) {
    case SET_TOKEN:
      return Object.assign({}, state, {
        ...state,
        token_data: action.token_data,
      });
    default:
      return state;
  }
}

/**
 * @name setToken
 */
export const setToken = token_data => ({
  type: SET_TOKEN,
  token_data,
});
