//
// Copyright (c) 2019 The University of Aizu
// Open source under the BSD License.
//

const withSass = require('@zeit/next-sass');
const withGraphql = require('next-plugin-graphql');

module.exports = withGraphql(withSass({
  env: {
    REACT_APP_GRAPHQL_URL: 'http://',   // todo: endpoint /graphql
    REACT_APP_TOKEN_URL: 'http://',     // todo: endpoint /login
  },
  webpack: config => {
    // Fixes npm packages that depend on `fs` module
    config.node = {
      fs: 'empty',
    };

    return config;
  },
  exportPathMap: async function (defaultPathMap) {
    return {
      '/': { page: '/' },
      '/auth': { page: '/auth' },
    }
  }
}));
