//
// Copyright (c) 2019 The University of Aizu
// Open source under the BSD License.
//

// React Library
import React from 'react';
import App, { Container } from 'next/app';
import { Provider } from 'react-redux';
import { ApolloProvider } from 'react-apollo';

// Modules
import store from '../modules/store';

// Styles
import '../styles/main.scss';

// Helpers
import withApollo from '../helpers/withApollo';

// global.ipcRenderer.on('message', (event, token) => {
//   console.log('aaaaaaaaa');
// });

class TANPOPOApp extends App {

  constructor (props) {
    super(props);
    this.state = {
      hoge: 'aaaaaaaaaaaaaa',
    };
  }

  render () {
    const { Component, pageProps, apollo } = this.props;
    return (
      <Container>
        <ApolloProvider client={apollo}>
          <Provider store={store}>
            <Component />
          </Provider>
        </ApolloProvider>
      </Container>
    );
  }
}

export default withApollo(TANPOPOApp);
