//
// Copyright (c) 2019 The University of Aizu
// Open source under the BSD License.
//

import { gql }  from 'apollo-boost';

export const QUERY_TYPE = gql`
  query fetchTypeMany {
    typeMany {
      _id
      name
    }
  }
`;

export const QUERY_FACE = gql`
  query fetchFaceMany {
    faceMany {
      _id
      name
    }
  }
`;

export const QUERY_PANEL = gql`
  query fetchPanelMany {
    panelMany {
      _id
      name
    }
  }
`;

export const QUERY_SUBTEAM = gql`
  query fetchSubTeamMany {
    subTeamMany {
      _id
      name
    }
  }
`;

export const QUERY_SIZE = gql`
  query fetchSizeMany {
    sizeMany {
      _id
      name
    }
  }
`;

export const QUERY_IMPACTDATA = gql`
  query getImpactDataMany(
    $panel: PanelInput,
    $sub_team: SubTeamInput,
    $face: ImpactDataFaceInput,
    $size1: [ImpactDataSizeInput],
    $size2: [ImpactDataSizeInput],
    $size3: [ImpactDataSizeInput],
    $size4: [ImpactDataSizeInput],
    $size5: [ImpactDataSizeInput],
    $size6: [ImpactDataSizeInput],
    $type1: [TypeInput],
    $type2: [TypeInput],
    $type3: [TypeInput],
    $type4: [TypeInput],
    $type5: [TypeInput],
    $type6: [TypeInput],
    $type7: [TypeInput],
  ) {
    impactDataMany(
      filter: {AND: [
        {panel: $panel},
        {sub_team: $sub_team},
        {face: $face},
        {OR: [
          {size: $size1},
          {size: $size2},
          {size: $size3},
          {size: $size4},
          {size: $size5},
          {size: $size6}
        ]},
        {OR: [
          {type: $type1},
          {type: $type2},
          {type: $type3},
          {type: $type4},
          {type: $type5},
          {type: $type6},
          {type: $type7},
        ]}
      ]}
    ) {
      impact_id
      _id
      panel {
        name
      }
      size {
        name
      }
      face {
        name
      }
      type {
        name
      }
      image_path
    }
  }
`;
